Bug 100049 - "ralloc: Make sure ralloc() allocations match malloc()'s alignment." causes seg fault in 32bit build
Summary: "ralloc: Make sure ralloc() allocations match malloc()'s alignment." causes s...
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-03 13:47 UTC by raffarti
Modified: 2017-03-06 22:03 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
glxinfo 32bit backtrace (1.18 KB, text/plain)
2017-03-03 13:47 UTC, raffarti
Details

Note You need to log in before you can comment on or make changes to this bug.
Description raffarti 2017-03-03 13:47:08 UTC
Created attachment 130046 [details]
glxinfo 32bit backtrace

commit cd2b55e536dc806f9358f71db438dd9c246cdb14 "ralloc: Make sure ralloc() allocations match malloc()'s alignment." causes segmentation fault in 32bit build with -O3, -O2 works fine.
Comment 1 Grazvydas Ignotas 2017-03-04 00:50:51 UTC
Patch sent:
https://patchwork.freedesktop.org/patch/142123/
Comment 2 raffarti 2017-03-04 09:22:44 UTC
(In reply to Grazvydas Ignotas from comment #1)
> Patch sent:
> https://patchwork.freedesktop.org/patch/142123/

It works now, thanks.
Comment 3 Dieter Nützel 2017-03-04 23:04:17 UTC
We only close tickets after patch is commited to Mesa git.

Greetings,
Dieter
Comment 4 Dieter Nützel 2017-03-06 21:59:37 UTC
Fixed in Mesa git by

Commit	ff494fe999510ea40e3ed5827e7818550b6de126
https://cgit.freedesktop.org/mesa/mesa/commit/?id=ff494fe999510ea40e3ed5827e7818550b6de126
Comment 5 Dieter Nützel 2017-03-06 22:03:55 UTC
Jonas,

you can close after testing Mesa git.

Greetings,
Dieter


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.